Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Interface Continuous

All Superinterfaces:
  Mutable

All Known Implementing Classes:
  Continuous1D, Continuous2D, SubContinuous, SubContinuous1D, SubContinuous2D

    public interface Continuous

extends Mutable

A market interface for a space representing continuous space. Note that continuous is also an instance of COllectionSpace so it will not work to check for continuous scapes by doing something like !instanceof Discrete; instead, check explicitly for instanceof Continuous.

Since:
  2.0
Version:
  3.0
Author:
  Miles Parker

Method Summary
`double` | `distancePerIteration(double velocity)` Distance per iteration.
`Coordinate` | `findRandomCoordinate()` Find random coordinate.
`void` | `moveToward(Location origin, Coordinate target, double distance)` Moves an agent toward the specified agent.
`void` | `normalize(Coordinate coor)` Converts the coordiante into the boundaries of the space.

Methods inherited from interface org.ascape.model.space.Mutable
`clear, deleteSweep, isDeleteSweepNeeded, newLocation, newLocation, remove`

Method Detail

### distancePerIteration

    double distancePerIteration(double velocity)

  Distance per iteration.

  Parameters:
    `velocity` - the velocity
  Returns:
    the double

### findRandomCoordinate

    Coordinate findRandomCoordinate()

  Find random coordinate.

  Returns:
    the coordinate

### moveToward

    void moveToward(Location origin,
                    Coordinate target,
                    double distance)

  Moves an agent toward the specified agent.

  Parameters:
    `origin` - the agent moving
    `target` - the agent's target
    `distance` - the distance to move

### normalize

    void normalize(Coordinate coor)

  Converts the coordiante into the boundaries of the space. If the cooridnate is out of bounds, adds or substracts the bounds as appropriate to bring the coordinate into a common sapce mod boundary.

  Parameters:
    `coor` - the Coordinate to normalize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD